from parallels.core.utils.entity import Entity


class DnsTemplateRecord(Entity):
    def __init__(self, dns_template_record_id, dns_zone_type, opt):
        self._dns_template_record_id = dns_template_record_id
        self._dns_zone_type = dns_zone_type
        self._opt = opt

    @property
    def dns_template_record_id(self):
        """
        :rtype: str | unicode
        """
        return self._dns_template_record_id

    @property
    def dns_zone_type(self):
        """
        :rtype: str | unicode
        """
        return self._dns_zone_type

    @property
    def opt(self):
        """
        :rtype: str | unicode
        """
        return self._opt
